Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class SortPropertyKey

    java.lang.Object
      com.compoze.domino.PropertyKey
          com.compoze.domino.SortPropertyKey

All Implemented Interfaces:
  java.io.Serializable

public class SortPropertyKey
extends PropertyKey
implements java.io.Serializable

This class is a specific property key that can be used for sorting.

See Also:
  Serialized Form

Field Summary
`static SortPropertyKey` | `ADDRESS_BOOK_ENTRY_SORT_LAST_NAME` Key that represents the sort property to sort by AddressBookEntry display name.
`static SortPropertyKey` | `CONTACT_SORT_COMPANY_NAME` Key that represents the sort property to sort by company name.
`static SortPropertyKey` | `CONTACT_SORT_EMAIL_ADDRESS` Key that represents the sort property to sort by email address.
`static SortPropertyKey` | `CONTACT_SORT_FIRST_NAME` Key that represents the sort property to sort by first name.
`static SortPropertyKey` | `CONTACT_SORT_LAST_NAME` Key that represents the sort property to sort by last name.
`static SortPropertyKey` | `MEMO_SORT_DATE` Key that represents the sort property to sort by memo date.
`static SortPropertyKey` | `MEMO_SORT_SENDER_NAME` Key that represents the sort property to sort by memo sender name.
`static SortPropertyKey` | `MEMO_SORT_SUBJECT` Key that represents the sort property to sort by memo subject.
`static SortPropertyKey` | `TASK_SORT_DUE_DATE_TIME` Key that represents the sort property to sort by due date time.
`static SortPropertyKey` | `TASK_SORT_DUE_STATE` Key that represents the sort property to sort by due state.
`static SortPropertyKey` | `TASK_SORT_IMPORTANCE` Key that represents the sort property to sort by importance.
`static SortPropertyKey` | `TASK_SORT_SUBJECT` Key that represents the sort property to sort by subject.

Fields inherited from class com.compoze.domino.PropertyKey
`ADJUSTED_SUBJECT, ADMINP_COUNTER, ADMINP_STATUS, AGENT_LAST_RUN, ALT_CHAIR, ALT_DELEGEE_NAME, ALT_PRINCIPAL, APPOINTMENT_ID, APPOINTMENT_TYPE, ASSIGN_STATE, ASSIGNED_TO, ASSISTANT, ATTACHMENT_COUNT, ATTACHMENT_INFO, BIRTHDAY, BODY, BODY_HTML, BODY_STORED_FORM, BOOK_BUSY_TIME, BOOK_FREE_TIME, BROADCAST, BUSY_TIME_SUBJ, CALENDAR_ENTRY_UNID, CELL_PHONE_NUMBER, CHAIR, CHILDREN, COMMENT, COMPANY_NAME, COMPLETED_DATE_TIME, CONFLICT_ACTION, CURRENT_STATUS, DATE_CREATED, DATE_DISABLE_REMINDER_SENT, DATE_FIRST_DAY_BACK, DATE_FIRST_DAY_OUT, DATE_FIRST_REMINDER_SENT, DATE_MODIFIED, DAYS_OUT, DAYS_OUT_1, DELEGEE, DELIVERED_DATE, DELIVERY_DATE, DELIVERY_PRIORITY, DELIVERY_REPORT, DEPARTMENT, DESCRIPTION, DIALOG_STATUS, DOCUMENT_ID, DOCUMENT_TYPE, DUE_DATE, DUE_DATE_TIME, DUE_STATE, EMAIL_ADDRESS, EMBEDDED_IMAGE_COUNT, EMBEDDED_IMAGE_INFO, EMPLOYEE_ID, ENABLE_AGENT, ENCRYPT, END_DATE, END_DATE_TIME, END_TIME, ENTER_BLIND_COPY_TO, ENTER_COPY_TO, ENTER_SEND_TO, EXCLUDE_INTERNET_EMAIL, FAILURE_REASON, FAX_NUMBER, FIRST_DAY_BACK, FIRST_DAY_OUT, FIRST_NAME, FOLDER_ABSOLUTE_NAME, FOLDER_DEPTH, FOLDER_HAS_SUBFOLDERS, FOLDER_ID, FOLDER_MEMO_COUNT, FOLDER_MEMO_UNREAD_COUNT, FOLDER_NAME, FOLDER_PARENT_FOLDER_ID, FOLDER_SUBFOLDER_COUNT, FOLDER_TYPE, FOLDER_VIEW_NAME, FOLLOW_UP_DATE, FOLLOW_UP_STATUS, FOLLOW_UP_TEXT, FOOTER, FOOTER_HTML, FREE_BUSY, FROM, FULL_NAME, GENERAL_MESSAGE, GENERAL_SUBJECT, H_AGENT_START_TIME, HAS_ATTACHMENT, HEADER, HEADER_HTML, HOME_ADDRESS, HOME_CITY, HOME_COUNTRY, HOME_FAX_PHONE_NUMBER, HOME_PHONE_NUMBER, HOME_STATE, HOME_STREET_ADDRESS, HOME_ZIP, IGNORE_FROM_LIST, IGNORE_SEND, IGNORE_SUBJECT_PHRASE, IMPORTANCE, INSTANCE_TYPE, INTENDED_RECIPIENT, INTERNET_ADDRESS, JOB_TITLE, KEEP_POSTED, KEY_DOCUMENT, KEY_FOLDER, LAST_NAME, LOCATION, MAIL_DOMAIN, MAIL_FILE, MAIL_SERVER, MANAGER, MARK_PRIVATE, MEMO_DATE, MIDDLE_INITIAL, NEW_DUE_DATE, NEW_END_DATE, NEW_END_TIME, NEW_START_DATE, NEW_START_TIME, NO_PURGE, NOTICE_TYPE, NOTIFIED, OFFICE_ADDRESS, OFFICE_CITY, OFFICE_COUNTRY, OFFICE_FAX_PHONE_NUMBER, OFFICE_NUMBER, OFFICE_PHONE_NUMBER, OFFICE_STATE, OFFICE_STREET_ADDRESS, OFFICE_ZIP, ORG_REPEAT, ORG_TABLE, ORIGINAL_SUBJECT, OWNER_OF_CALENDAR_ENTRY, PAGER, PARENT_DOCUMENT_ID, PHONE_CALLER, PHONE_LABEL_1, PHONE_LABEL_2, PHONE_LABEL_3, PHONE_LABEL_4, PHONE_LABEL_5, PHONE_LABEL_6, PHONE_NUMBER, PHONE_REASON, PHONETIC_NAME, POSTED_DATE, PREVENT_COPY, PREVENT_COUNTER, PREVENT_DELEGATE, PRINCIPAL, PROTECT_FROM_ARCHIVE, RECIPIENT_INFO, REPEATS, RESCHEDULE_WHICH, RESOURCE_CAPACITY, RESOURCE_TYPE, RETURN_RECEIPT, ROUTE_SERVERS, ROUTE_TIMES, SENDER, SENDER_INFO, SENDER_NAME, SHORT_NAME, SIZE, SPECIAL_MESSAGE, SPECIAL_PEOPLE, SPECIAL_SUBJECT, SPOUSE, START_DATE, START_DATE_TIME, START_TIME, STATUS_UPDATE, SUBJECT, SUFFIX, TASK_TYPE, TITLE, TOPIC, UNREAD, VALUE_ARRAY, VALUE_BOOLEAN, VALUE_DATE, VALUE_DOUBLE, VALUE_EMPTY, VALUE_INTEGER, VALUE_LONG, VALUE_MIME_PART, VALUE_STRING, VALUE_STRING_COMPOSITE, VALUE_UNKNOWN, VIEW_ICON2, WEB_SITE`

Constructor Summary
`protected` | `SortPropertyKey(java.lang.String sPropertyName, int iValueType, int iKeyType)` Constructor.

Methods inherited from class com.compoze.domino.PropertyKey
`equals, get, getKey, getKeyType, getValueType, hashCode, isArray, setKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TASK_SORT_SUBJECT

    public static final SortPropertyKey TASK_SORT_SUBJECT

  Key that represents the sort property to sort by subject.

  See Also:
    `PropertyKey.SUBJECT`

### TASK_SORT_DUE_STATE

    public static final SortPropertyKey TASK_SORT_DUE_STATE

  Key that represents the sort property to sort by due state.

  See Also:
    `PropertyKey.DUE_STATE`

### TASK_SORT_DUE_DATE_TIME

    public static final SortPropertyKey TASK_SORT_DUE_DATE_TIME

  Key that represents the sort property to sort by due date time.

  See Also:
    `PropertyKey.DUE_DATE_TIME`

### TASK_SORT_IMPORTANCE

    public static final SortPropertyKey TASK_SORT_IMPORTANCE

  Key that represents the sort property to sort by importance.

  See Also:
    `PropertyKey.IMPORTANCE`

### CONTACT_SORT_FIRST_NAME

    public static final SortPropertyKey CONTACT_SORT_FIRST_NAME

  Key that represents the sort property to sort by first name.

  See Also:
    `PropertyKey.FIRST_NAME`

### CONTACT_SORT_LAST_NAME

    public static final SortPropertyKey CONTACT_SORT_LAST_NAME

  Key that represents the sort property to sort by last name.

  See Also:
    `PropertyKey.LAST_NAME`

### CONTACT_SORT_COMPANY_NAME

    public static final SortPropertyKey CONTACT_SORT_COMPANY_NAME

  Key that represents the sort property to sort by company name.

  See Also:
    `PropertyKey.COMPANY_NAME`

### CONTACT_SORT_EMAIL_ADDRESS

    public static final SortPropertyKey CONTACT_SORT_EMAIL_ADDRESS

  Key that represents the sort property to sort by email address.

  See Also:
    `PropertyKey.EMAIL_ADDRESS`

### MEMO_SORT_SUBJECT

    public static final SortPropertyKey MEMO_SORT_SUBJECT

  Key that represents the sort property to sort by memo subject.

  See Also:
    `PropertyKey.SUBJECT`

### MEMO_SORT_DATE

    public static final SortPropertyKey MEMO_SORT_DATE

  Key that represents the sort property to sort by memo date.

  See Also:
    `PropertyKey.MEMO_DATE`

### MEMO_SORT_SENDER_NAME

    public static final SortPropertyKey MEMO_SORT_SENDER_NAME

  Key that represents the sort property to sort by memo sender name.

  See Also:
    `PropertyKey.SENDER_NAME`

### ADDRESS_BOOK_ENTRY_SORT_LAST_NAME

    public static final SortPropertyKey ADDRESS_BOOK_ENTRY_SORT_LAST_NAME

  Key that represents the sort property to sort by AddressBookEntry display name.

  See Also:
    `PropertyKey.LAST_NAME`

Constructor Detail

### SortPropertyKey

    protected SortPropertyKey(java.lang.String sPropertyName,
                              int iValueType,
                              int iKeyType)

  Constructor.

Parameters:
  `sPropertyName` - the property name
  `iValueType` - the value type (one of the `VALUE_` constants)
  `iKeyType` - the key type (one of the `KEY_` constants)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.